#include "Timer.h"

/* This very much takes advantage of how threads are handled on Linux, and
** will probably not work on any other system. That's ok, since this isn't
** planned on running on anything other than Linux. */

Timer::Timer (int sec, int usec, TimerMemberFn callback)
    : Thread (true, NULL)
{
    this->callback = callback;
}

void
Timer::func (void *)
{
    sleep (sec);
    usleep (usec);
    (this->*callback)();
}
