#include <iostream>
#include <sys/ioctl.h>
#include "VolumeSlider.h"

VolumeSlider::VolumeSlider (RioAudio *audio, Window *parent, const char *name)
    : Slider (0, 100, 0, 2, "min", "max", parent, false, name)
{
    this->audio = audio;

    if (!audio)
        disable ();
    else
        setCur (audio->getVolume());

}

void
VolumeSlider::update (double val)
{
    int vol = (int) val;

    audio->setVolume (vol);
}
