#include <sys/fcntl.h>
#include <unistd.h>
#include <errno.h>
#include <iostream>
#include "AboutWindow.h"

AboutWindow::AboutWindow (Window *parent, const char *name)
    : Window (parent, name)
{
    draw ();
    refresh ();
}

void
AboutWindow::draw ()
{
    font_t font = font_helvetica_10;
    int ypos = FONT_HEIGHT (font) + 2;
    drawTitledWindow (font, "About Rio123");
    writeString (5, ypos + 5, font, "Written by..");
    writeString (5, ypos + 5 + FONT_HEIGHT (font) + 2, font, "Jeff Mahoney");
}


bool
AboutWindow::_onKnobButton (bool pushedAgain)
{
    switchToParent ();
}

void
AboutWindow::inFocus (void)
{
}

void
AboutWindow::outFocus (void)
{
}
