#include "DisplayDev.h"

DisplayDev::DisplayDev (int rows, int cols, int memsize)
    : _rows (rows), _cols (cols), _memsize (memsize)
{
    pthread_mutex_init (&_lock, NULL);
}

void
DisplayDev::writeToScreen (const char *data, int size)
{
    memcpy (mem, data, size > memsize() ? memsize() : size);
}

void
DisplayDev::lock (void)
{
    pthread_mutex_lock (&_lock);
}

void
DisplayDev::unlock (void)
{
    pthread_mutex_unlock (&_lock);
}
