#ifndef _RIO_IR_H_
#define _RIO_IR_H_

/* These are the codes as read out of the IR port /dev/ir */

/* Buttons on the Rio Receiver front panel */
#define PANEL_POWER_DN         0x00010018
#define PANEL_POWER_UP         0x00010019

#define PANEL_REPEAT_DN        0x0001000c
#define PANEL_REPEAT_UP        0x0001000d
#define PANEL_RANDOM_DN        0x00010014
#define PANEL_RANDOM_UP        0x00010015
#define PANEL_MENU_DN          0x00010012
#define PANEL_MENU_UP          0x00010013

#define PANEL_KNOB_BTN_DN      0x00010010
#define PANEL_KNOB_BTN_UP      0x00010011
#define PANEL_KNOB_RIGHT       0x00028000
#define PANEL_KNOB_LEFT        0x00028001

#define PANEL_PLAY_DN          0x00010004
#define PANEL_PLAY_UP          0x00010005
#define PANEL_REW_DN           0x0001000a
#define PANEL_REW_UP           0x0001000b
#define PANEL_FF_DN            0x00010008
#define PANEL_FF_UP            0x00010009
#define PANEL_STOP_DN          0x00010002
#define PANEL_STOP_UP          0x00010003

/* Buttons on the Rio Reciever remote control */
#define REMOTE_POWER           0x00000184
#define REMOTE_MENU            0x00000188
#define REMOTE_LIST            0x0000019d
#define REMOTE_SEARCH          0x0000019f
#define REMOTE_SELECT_UP_ARROW 0x0000018c
#define REMOTE_SELECT_DN_ARROW 0x00000186
#define REMOTE_ENTER           0x00000182
#define REMOTE_CANCEL          0x0000018e
#define REMOTE_MUTE            0x00000180
#define REMOTE_VOLUME_UP_ARROW 0x0000018a
#define REMOTE_VOLUME_DN_ARROW 0x00000181

#define REMOTE_RANDOM          0x00000189
#define REMOTE_REPEAT          0x0000018d
#define REMOTE_PLAY_PAUSE      0x00000185
#define REMOTE_BACK            0x00000183
#define REMOTE_FORW            0x00000187
#define REMOTE_STOP            0x00000190

#define REMOTE_1               0x00000194
#define REMOTE_2               0x0000019c
#define REMOTE_3               0x00000192
#define REMOTE_4               0x0000019a
#define REMOTE_5               0x00000196
#define REMOTE_6               0x0000019e
#define REMOTE_7               0x00000191
#define REMOTE_8               0x00000199
#define REMOTE_9               0x00000195
#define REMOTE_0               0x00000193

#endif /* _RIO_IR_H_ */
